#include <bits/stdc++.h>

using namespace std;
ifstream f1("sxps.inp");
ofstream f2("sxps.out");
struct ps
{int x[1000000];
 int y[1000000];
};
int ucln(int a,int b)
{while (b>0)
{ int r=a%b;
  a=b;
  b=r;
}
return a;
}
int main() {
   	ps a;
   	int d=2,n,k,i,j;
   	a.x[1]=0; a.y[1]=1;
   	f1>>n>>k;
   	for (i=1;i<n;i++)
   	  {for (j=i+1;j<=n;j++)
   	   if (ucln(i,j)==1)
   	   {a.x[d]=i; a.y[d]=j; d++;
		  }}
		  a.x[d]=1; a.y[d]=1;
   for (int i = 1; i < d; i++)
   {
       for (int j = i+1; j <=d; j++)
       {
           if (float(a.x[i])/float(a.y[i]) > float(a.x[j])/float(a.y[j]))
           {
               int tg = a.x[i]; a.x[i] = a.x[j]; a.x[j] = tg;
               tg = a.y[i]; a.y[i] = a.y[j]; a.y[j] = tg;
           }
       }}
       f2<<a.x[k]<<"/"<<a.y[k];
	return 0;
}
